package org.seasar.doma.it.entity;

/** */
@javax.annotation.Generated(value = { "Doma", "1.36.0-SNAPSHOT" }, date = "2022-09-08T03:50:37.917+0900")
public final class _NoId extends org.seasar.doma.jdbc.entity.AbstractEntityType<org.seasar.doma.it.entity.NoId> {

    static {
        org.seasar.doma.internal.Artifact.validateVersion("1.36.0-SNAPSHOT");
    }

    private static final _NoId __singleton = new _NoId();

    private static final org.seasar.doma.jdbc.entity.OriginalStatesAccessor<org.seasar.doma.it.entity.NoId> __originalStatesAccessor = new org.seasar.doma.jdbc.entity.OriginalStatesAccessor<org.seasar.doma.it.entity.NoId>(org.seasar.doma.it.entity.NoId.class, "originalStates");

    /** the value1 */
    public final org.seasar.doma.jdbc.entity.BasicPropertyType<java.lang.Object, org.seasar.doma.it.entity.NoId, java.lang.Integer, java.lang.Object> $value1 = new org.seasar.doma.jdbc.entity.BasicPropertyType<java.lang.Object, org.seasar.doma.it.entity.NoId, java.lang.Integer, java.lang.Object>(org.seasar.doma.it.entity.NoId.class, java.lang.Integer.class, org.seasar.doma.wrapper.IntegerWrapper.class, null, null, "value1", "VALUE1", true, true);

    /** the value2 */
    public final org.seasar.doma.jdbc.entity.BasicPropertyType<java.lang.Object, org.seasar.doma.it.entity.NoId, java.lang.Integer, java.lang.Object> $value2 = new org.seasar.doma.jdbc.entity.BasicPropertyType<java.lang.Object, org.seasar.doma.it.entity.NoId, java.lang.Integer, java.lang.Object>(org.seasar.doma.it.entity.NoId.class, java.lang.Integer.class, org.seasar.doma.wrapper.IntegerWrapper.class, null, null, "value2", "VALUE2", true, true);

    private final org.seasar.doma.jdbc.entity.NullEntityListener<org.seasar.doma.it.entity.NoId> __listener;

    private final org.seasar.doma.jdbc.entity.NamingType __namingType;

    private final boolean __immutable;

    private final String __catalogName;

    private final String __schemaName;

    private final String __tableName;

    private final String __qualifiedTableName;

    private final String __name;

    private final java.util.List<org.seasar.doma.jdbc.entity.EntityPropertyType<org.seasar.doma.it.entity.NoId, ?>> __idPropertyTypes;

    private final java.util.List<org.seasar.doma.jdbc.entity.EntityPropertyType<org.seasar.doma.it.entity.NoId, ?>> __entityPropertyTypes;

    private final java.util.Map<String, org.seasar.doma.jdbc.entity.EntityPropertyType<org.seasar.doma.it.entity.NoId, ?>> __entityPropertyTypeMap;

    private _NoId() {
        __listener = new org.seasar.doma.jdbc.entity.NullEntityListener<org.seasar.doma.it.entity.NoId>();
        __namingType = org.seasar.doma.jdbc.entity.NamingType.SNAKE_UPPER_CASE;
        __immutable = false;
        __name = "NoId";
        __catalogName = "";
        __schemaName = "";
        __tableName = "NO_ID";
        __qualifiedTableName = "NO_ID";
        java.util.List<org.seasar.doma.jdbc.entity.EntityPropertyType<org.seasar.doma.it.entity.NoId, ?>> __idList = new java.util.ArrayList<org.seasar.doma.jdbc.entity.EntityPropertyType<org.seasar.doma.it.entity.NoId, ?>>();
        java.util.List<org.seasar.doma.jdbc.entity.EntityPropertyType<org.seasar.doma.it.entity.NoId, ?>> __list = new java.util.ArrayList<org.seasar.doma.jdbc.entity.EntityPropertyType<org.seasar.doma.it.entity.NoId, ?>>(2);
        java.util.Map<String, org.seasar.doma.jdbc.entity.EntityPropertyType<org.seasar.doma.it.entity.NoId, ?>> __map = new java.util.HashMap<String, org.seasar.doma.jdbc.entity.EntityPropertyType<org.seasar.doma.it.entity.NoId, ?>>(2);
        __list.add($value1);
        __map.put("value1", $value1);
        __list.add($value2);
        __map.put("value2", $value2);
        __idPropertyTypes = java.util.Collections.unmodifiableList(__idList);
        __entityPropertyTypes = java.util.Collections.unmodifiableList(__list);
        __entityPropertyTypeMap = java.util.Collections.unmodifiableMap(__map);
    }

    @Override
    public org.seasar.doma.jdbc.entity.NamingType getNamingType() {
        return __namingType;
    }

    @Override
    public boolean isImmutable() {
        return __immutable;
    }

    @Override
    public String getName() {
        return __name;
    }

    @Override
    public String getCatalogName() {
        return __catalogName;
    }

    @Override
    public String getSchemaName() {
        return __schemaName;
    }

    @Override
    public String getTableName() {
        return __tableName;
    }

    @Override
    public String getQualifiedTableName() {
        return __qualifiedTableName;
    }

    @Override
    public void preInsert(org.seasar.doma.it.entity.NoId entity, org.seasar.doma.jdbc.entity.PreInsertContext<org.seasar.doma.it.entity.NoId> context) {
        __listener.preInsert(entity, context);
    }

    @Override
    public void preUpdate(org.seasar.doma.it.entity.NoId entity, org.seasar.doma.jdbc.entity.PreUpdateContext<org.seasar.doma.it.entity.NoId> context) {
        __listener.preUpdate(entity, context);
    }

    @Override
    public void preDelete(org.seasar.doma.it.entity.NoId entity, org.seasar.doma.jdbc.entity.PreDeleteContext<org.seasar.doma.it.entity.NoId> context) {
        __listener.preDelete(entity, context);
    }

    @Override
    public void postInsert(org.seasar.doma.it.entity.NoId entity, org.seasar.doma.jdbc.entity.PostInsertContext<org.seasar.doma.it.entity.NoId> context) {
        __listener.postInsert(entity, context);
    }

    @Override
    public void postUpdate(org.seasar.doma.it.entity.NoId entity, org.seasar.doma.jdbc.entity.PostUpdateContext<org.seasar.doma.it.entity.NoId> context) {
        __listener.postUpdate(entity, context);
    }

    @Override
    public void postDelete(org.seasar.doma.it.entity.NoId entity, org.seasar.doma.jdbc.entity.PostDeleteContext<org.seasar.doma.it.entity.NoId> context) {
        __listener.postDelete(entity, context);
    }

    @Override
    public java.util.List<org.seasar.doma.jdbc.entity.EntityPropertyType<org.seasar.doma.it.entity.NoId, ?>> getEntityPropertyTypes() {
        return __entityPropertyTypes;
    }

    @Override
    public org.seasar.doma.jdbc.entity.EntityPropertyType<org.seasar.doma.it.entity.NoId, ?> getEntityPropertyType(String __name) {
        return __entityPropertyTypeMap.get(__name);
    }

    @Override
    public java.util.List<org.seasar.doma.jdbc.entity.EntityPropertyType<org.seasar.doma.it.entity.NoId, ?>> getIdPropertyTypes() {
        return __idPropertyTypes;
    }

    @Override
    public org.seasar.doma.jdbc.entity.GeneratedIdPropertyType<java.lang.Object, org.seasar.doma.it.entity.NoId, ?, ?> getGeneratedIdPropertyType() {
        return null;
    }

    @Override
    public org.seasar.doma.jdbc.entity.VersionPropertyType<java.lang.Object, org.seasar.doma.it.entity.NoId, ?, ?> getVersionPropertyType() {
        return null;
    }

    @Override
    public org.seasar.doma.it.entity.NoId newEntity() {
        return new org.seasar.doma.it.entity.NoId();
    }

    @Override
    public org.seasar.doma.it.entity.NoId newEntity(java.util.Map<String, Object> __args) {
        return new org.seasar.doma.it.entity.NoId();
    }

    @Override
    public Class<org.seasar.doma.it.entity.NoId> getEntityClass() {
        return org.seasar.doma.it.entity.NoId.class;
    }

    @Override
    public org.seasar.doma.it.entity.NoId getOriginalStates(org.seasar.doma.it.entity.NoId __entity) {
        return __originalStatesAccessor.get(__entity);
    }

    @Override
    public void saveCurrentStates(org.seasar.doma.it.entity.NoId __entity) {
        org.seasar.doma.it.entity.NoId __currentStates = new org.seasar.doma.it.entity.NoId();
        $value1.getWrapper(__currentStates).set($value1.getWrapper(__entity).getCopy());
        $value2.getWrapper(__currentStates).set($value2.getWrapper(__entity).getCopy());
        __originalStatesAccessor.set(__entity, __currentStates);
    }

    /**
     * @return the singleton
     */
    public static _NoId getSingletonInternal() {
        return __singleton;
    }

    /**
     * @return the new instance
     */
    public static _NoId newInstance() {
        return new _NoId();
    }

}
